När ska jag uppgradera till WordPress 5.x?

Nu har 5:an varit med i ett par månader. Är det säkert? Är det bara att klicka på ‘Update’?
Nja, nästan, men det finns ett par saker att hålla koll på.

Då version 5.0 lanserades, lite lagom och förvirrande kort före julhelgen, så uppstod något av en panik bland miljoner web-admins/masters/redaktörer/etc. För vad man inte vill ha i sitt knä någon vecka före julledigheten är hemsidestrul. Plötsligt uppgradera till WordPress 5.0 när tankarna är mitt uppe i vilka julklappar ungarna ska få?

Framförallt när det kommer i form av en av de största och mest omvälvande WordPress-uppdateringarna någonsin. Komplett med en helt ny textredigerare: Gutenberg. Det har ju funnits flertalet inläggsredigerar som kör “drag and drop”, men nu blev det standard för alla användare. Visst, man kunde både då (och nu) installera Classical Editor, men det är ju lite tråkigt. Dessutom vill man ju hänga med i utvecklingen av hemsidor.

Det fungerade såklart inte perfekt. Plugins och teman var inte kompatibla, trots de två år som Gutenberg redan hade testats som en plugin. Sidor låg nere, affärer stoppades och haveriet var på sina håll rätt totalt.  

Nu har det gått ett par månader, säkerhetsluckor har stängts och så länge har man legitima plugins och teman som är uppdaterade så är risken minimal.

Provide IT rekommenderar alltså att uppdatera till WordPress 5.x omgående, men kom ihåg:

  •        Kolla kompabilitet på både teman och plugins.
  •        På tal om plugins: Har du WooCommerce? Mycket viktigt att uppdate innan du börjar uppgradera till WordPress till någonting efter 5.x.
  •        Skaffa en backup av din hemsida.
  •        I bästa fall testar du även att göra uppdateringarna i en separat utvecklingsmiljö så att eventuella fel inte påverkar din faktiska sida som ligger ute och är live.

Eller så låter du oss på Provide IT göra det! Kontakta oss på info@provideit.se så kan vi hjälpa dig.

Glatt WordPressande!